#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x74147989, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x27140c57, __VMLINUX_SYMBOL_STR(usbnet_resume) },
	{ 0xa2b3abaf, __VMLINUX_SYMBOL_STR(usbnet_suspend) },
	{ 0xa5665520, __VMLINUX_SYMBOL_STR(usbnet_disconnect) },
	{ 0x5141e03d, __VMLINUX_SYMBOL_STR(usbnet_probe) },
	{ 0xc8dea7b, __VMLINUX_SYMBOL_STR(usbnet_nway_reset) },
	{ 0x7c01284a, __VMLINUX_SYMBOL_STR(usbnet_set_msglevel) },
	{ 0xf4d1afce, __VMLINUX_SYMBOL_STR(usbnet_get_msglevel) },
	{ 0x1f974b6, __VMLINUX_SYMBOL_STR(usbnet_set_settings) },
	{ 0x464139e1, __VMLINUX_SYMBOL_STR(usbnet_get_settings) },
	{ 0x290219a, __VMLINUX_SYMBOL_STR(usbnet_tx_timeout) },
	{ 0x77eb6160, __VMLINUX_SYMBOL_STR(usbnet_change_mtu) },
	{ 0xa2c8e98d, __VMLINUX_SYMBOL_STR(eth_validate_addr) },
	{ 0x6bbfb260, __VMLINUX_SYMBOL_STR(usbnet_start_xmit) },
	{ 0xe56af029, __VMLINUX_SYMBOL_STR(usbnet_stop) },
	{ 0x30d68e67, __VMLINUX_SYMBOL_STR(usbnet_open) },
	{ 0xc72cef8c, __VMLINUX_SYMBOL_STR(mii_nway_restart) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0xcb1664c5, __VMLINUX_SYMBOL_STR(usbnet_get_endpoints) },
	{ 0x44b44ee0, __VMLINUX_SYMBOL_STR(usb_register_driver) },
	{ 0x714ef950, __VMLINUX_SYMBOL_STR(usb_deregister) },
	{ 0xfaf98462, __VMLINUX_SYMBOL_STR(bitrev32) },
	{ 0x802d0e93, __VMLINUX_SYMBOL_STR(crc32_le) },
	{ 0xd96c51c7, __VMLINUX_SYMBOL_STR(netdev_err) },
	{ 0x87e6a12b, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0xeae3dfd6, __VMLINUX_SYMBOL_STR(__const_udelay) },
	{ 0xc8760652, __VMLINUX_SYMBOL_STR(mutex_lock) },
	{ 0x8264b1ec, __VMLINUX_SYMBOL_STR(usbnet_write_cmd) },
	{ 0x35912ab6, __VMLINUX_SYMBOL_STR(usbnet_write_cmd_async) },
	{ 0x69acdf38, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0x9587b64d, __VMLINUX_SYMBOL_STR(usbnet_read_cmd) },
	{ 0xcde4c709, __VMLINUX_SYMBOL_STR(generic_mii_ioctl) },
	{ 0x84219ee4, __VMLINUX_SYMBOL_STR(usbnet_get_drvinfo) },
	{ 0x4ec32385, __VMLINUX_SYMBOL_STR(mii_link_ok) },
	{ 0xb8c48e0f, __VMLINUX_SYMBOL_STR(mii_ethtool_gset) },
	{ 0xcf72b109, __VMLINUX_SYMBOL_STR(mii_check_media) },
	{ 0x86840bc5, __VMLINUX_SYMBOL_STR(__dynamic_netdev_dbg) },
	{ 0x6b012dcb, __VMLINUX_SYMBOL_STR(usbnet_link_change) },
	{ 0x32709808, __VMLINUX_SYMBOL_STR(dev_err) },
	{ 0x4117b9ae, __VMLINUX_SYMBOL_STR(skb_trim) },
	{ 0xbe3bee5e, __VMLINUX_SYMBOL_STR(skb_pull) },
	{ 0xb05f3e0a, __VMLINUX_SYMBOL_STR(__dev_kfree_skb_any) },
	{ 0xdd7eb8ec, __VMLINUX_SYMBOL_STR(skb_copy_expand) },
	{ 0xfb578fc5, __VMLINUX_SYMBOL_STR(memset) },
	{ 0xb4390f9a, __VMLINUX_SYMBOL_STR(mcount) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,mii";

MODULE_ALIAS("usb:v07AAp9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p6688d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p0268d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p8515d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A47p9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FE6p8101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FE6p9700d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9620d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9621d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9622d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p0269d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p1269d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "8B2420E93E78CEA9AB0E3DA");
